Jump to page: 1 2
Thread overview
Error on dub build - Trying Vibe-d for the first time
October 14
So, I tried building a simple hello world with Vibe-d and got this error

> /usr/bin/ld: cannot find -lssl
> /usr/bin/ld: cannot find -lcrypto
> collect2: error: ld returned 1 exit status
> Error: linker exited with status 1
> /usr/bin/dmd failed with exit code 1.

I have absolutely no ideia what these libraries are.

I'm using linux 20.04

The project was created with dub the same way the dependency was added.

Thanks, this language seems to be really interesting.




October 13
On 10/13/20 8:40 PM, Bruno Rodrigues wrote:
> So, I tried building a simple hello world with Vibe-d and got this error
> 
>> /usr/bin/ld: cannot find -lssl
>> /usr/bin/ld: cannot find -lcrypto
>> collect2: error: ld returned 1 exit status
>> Error: linker exited with status 1
>> /usr/bin/dmd failed with exit code 1.
> 
> I have absolutely no ideia what these libraries are.
> 
> I'm using linux 20.04
> 
> The project was created with dub the same way the dependency was added.
> 
> Thanks, this language seems to be really interesting.

sudo apt-get install libssl-dev

That should get you running.

-Steve
October 14
On Wednesday, 14 October 2020 at 01:32:34 UTC, Steven Schveighoffer wrote:
> On 10/13/20 8:40 PM, Bruno Rodrigues wrote:
>> So, I tried building a simple hello world with Vibe-d and got this error
>> 
>>> /usr/bin/ld: cannot find -lssl
>>> /usr/bin/ld: cannot find -lcrypto
>>> collect2: error: ld returned 1 exit status
>>> Error: linker exited with status 1
>>> /usr/bin/dmd failed with exit code 1.
>> 
>> I have absolutely no ideia what these libraries are.
>> 
>> I'm using linux 20.04
>> 
>> The project was created with dub the same way the dependency was added.
>> 
>> Thanks, this language seems to be really interesting.
>
> sudo apt-get install libssl-dev
>
> That should get you running.
>
> -Steve

Thank you, Steve!

It did work but none of the examples on the Vibe.d page are working with current D version...


Some errors I got

When executing with dub

> [main(----) INF] Listening for requests on http://[::]:8080/
> Failed to listen on 0.0.0.0:8080
> Hello, World: /
> Warning (thread: main): leaking eventcore driver because there are still active handles
>   FD 6 (streamListen)
>   FD 9 (streamSocket)
>
>Warning (thread: main): leaking eventcore driver because there are still active handles
>   FD 6 (streamListen)
>   FD 9 (streamSocket)

When compiling (dub, dub build or dub build --force), I got a lot of deprecation errors

> /usr/include/dmd/phobos/std/format.d(3648,26): Deprecation: function std.typecons.Nullable!(Alternate).Nullable.get_ is deprecated - Implicit conversion with alias Nullable.get this will be removed after 2.096. Please use .get explicitly.


October 14
On Wednesday, 14 October 2020 at 13:20:53 UTC, Bruno Rodrigues wrote:
> On Wednesday, 14 October 2020 at 01:32:34 UTC, Steven Schveighoffer wrote:
>> [...]
>
> Thank you, Steve!
>
> It did work but none of the examples on the Vibe.d page are working with current D version...
>
>
> Some errors I got
>
> When executing with dub
>
>>   [...]
>
> When compiling (dub, dub build or dub build --force), I got a lot of deprecation errors
>
>> [...]

Please add this to your dub.json file:
"versions": [ "VibeHighEventPriority" ]

You may have to restart your pc 1 time. After that the issue should not occur anymore. (It is a known bug).

Kind regards
Andre

October 14
On Wednesday, 14 October 2020 at 15:27:46 UTC, Andre Pany wrote:
> On Wednesday, 14 October 2020 at 13:20:53 UTC, Bruno Rodrigues wrote:
>> On Wednesday, 14 October 2020 at 01:32:34 UTC, Steven Schveighoffer wrote:
>>> [...]
>>
>> Thank you, Steve!
>>
>> It did work but none of the examples on the Vibe.d page are working with current D version...
>>
>>
>> Some errors I got
>>
>> When executing with dub
>>
>>>   [...]
>>
>> When compiling (dub, dub build or dub build --force), I got a lot of deprecation errors
>>
>>> [...]
>
> Please add this to your dub.json file:
> "versions": [ "VibeHighEventPriority" ]
>
> You may have to restart your pc 1 time. After that the issue should not occur anymore. (It is a known bug).
>
> Kind regards
> Andre

Where is this documented?
October 14
On Wednesday, 14 October 2020 at 16:39:39 UTC, Imperatorn wrote:
> On Wednesday, 14 October 2020 at 15:27:46 UTC, Andre Pany wrote:
>> On Wednesday, 14 October 2020 at 13:20:53 UTC, Bruno Rodrigues wrote:
>>> On Wednesday, 14 October 2020 at 01:32:34 UTC, Steven Schveighoffer wrote:
>>>> [...]
>>>
>>> Thank you, Steve!
>>>
>>> It did work but none of the examples on the Vibe.d page are working with current D version...
>>>
>>>
>>> Some errors I got
>>>
>>> When executing with dub
>>>
>>>>   [...]
>>>
>>> When compiling (dub, dub build or dub build --force), I got a lot of deprecation errors
>>>
>>>> [...]
>>
>> Please add this to your dub.json file:
>> "versions": [ "VibeHighEventPriority" ]
>>
>> You may have to restart your pc 1 time. After that the issue should not occur anymore. (It is a known bug).
>>
>> Kind regards
>> Andre
>
> Where is this documented?

I dont know whether it is documented somewhere. It was asked multiple times in the forum therefore I remembered.

Maybe it could be documented in the vibe.d github wiki or on the vibe.d website. But hopefully the bug is solved soon.

Kind regards
Andre
October 14
On Wed, Oct 14, 2020 at 05:30:37PM +0000, Andre Pany via Digitalmars-d-learn wrote:
> On Wednesday, 14 October 2020 at 16:39:39 UTC, Imperatorn wrote:
> > On Wednesday, 14 October 2020 at 15:27:46 UTC, Andre Pany wrote:
[...]
> > > Please add this to your dub.json file:
> > > "versions": [ "VibeHighEventPriority" ]
> > > 
> > > You may have to restart your pc 1 time. After that the issue should not occur anymore. (It is a known bug).
[...]
> > Where is this documented?
> 
> I dont know whether it is documented somewhere. It was asked multiple times in the forum therefore I remembered.
> 
> Maybe it could be documented in the vibe.d github wiki or on the vibe.d website. But hopefully the bug is solved soon.
[...]

Yeah, this is a problem.  Things like these need to be put in the docs in an easy-to-find way. Like collected in a Troubleshooting page or something.  If a bug isn't filed yet, I'd file a bug on vibe.d so that this will get resolved instead of forgotten, and then it will bite the next newcomer all over again.


T

-- 
Many open minds should be closed for repairs. -- K5 user
October 14
On Wednesday, 14 October 2020 at 18:08:40 UTC, H. S. Teoh wrote:
> On Wed, Oct 14, 2020 at 05:30:37PM +0000, Andre Pany via Digitalmars-d-learn wrote:
>> On Wednesday, 14 October 2020 at 16:39:39 UTC, Imperatorn wrote:
>> > On Wednesday, 14 October 2020 at 15:27:46 UTC, Andre Pany wrote:
> [...]
>> > > [...]
> [...]
>> > Where is this documented?
>> 
>> I dont know whether it is documented somewhere. It was asked multiple times in the forum therefore I remembered.
>> 
>> Maybe it could be documented in the vibe.d github wiki or on the vibe.d website. But hopefully the bug is solved soon.
> [...]
>
> Yeah, this is a problem.  Things like these need to be put in the docs in an easy-to-find way. Like collected in a Troubleshooting page or something.  If a bug isn't filed yet, I'd file a bug on vibe.d so that this will get resolved instead of forgotten, and then it will bite the next newcomer all over again.
>
>
> T

https://github.com/search?q=VibeHighEventPriority&type=issues

It seems with eventcore 0.9.9 there was some fix, but I do not know whether this solves the bug or s.th. related to the bug.

Kind regards
Andre
October 14
On Wednesday, 14 October 2020 at 15:27:46 UTC, Andre Pany wrote:
> On Wednesday, 14 October 2020 at 13:20:53 UTC, Bruno Rodrigues wrote:
>> On Wednesday, 14 October 2020 at 01:32:34 UTC, Steven Schveighoffer wrote:
>>> [...]
>>
>> Thank you, Steve!
>>
>> It did work but none of the examples on the Vibe.d page are working with current D version...
>>
>>
>> Some errors I got
>>
>> When executing with dub
>>
>>>   [...]
>>
>> When compiling (dub, dub build or dub build --force), I got a lot of deprecation errors
>>
>>> [...]
>
> Please add this to your dub.json file:
> "versions": [ "VibeHighEventPriority" ]
>
> You may have to restart your pc 1 time. After that the issue should not occur anymore. (It is a known bug).
>
> Kind regards
> Andre

Thanks, Andre! I'll try this solution later.
October 14
So, it did work...

The problem was on me, I guess.

I was using this example:
> https://tour.dlang.org/tour/en/dub/vibe-d

It wasn't working at all...


So I've changed to this one, and it did work.
> https://code.dlang.org/packages/vibe-d/0.9.2

I've used the first example, there are some differences to the one on tour.dlang.

Thanks all for the support.
« First   ‹ Prev
1 2